package com.saye.hospitalgd.service.impl;

import com.saye.hospitalgd.mapper.UnilateralMapper;
import com.saye.hospitalgd.service.UnilateralService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.List;

/**
 * @author thuang
 * @version 1.0
 * @description: TODO
 * @date 2021/9/28 14:16
 */
@Service
@Transactional
public class UnilateralServiceImpl implements UnilateralService {

    @Autowired
    private UnilateralMapper unilateralMapper;

    @Override
    public List<HashMap<Object, Object>> findAllUnilateral(HashMap<Object, Object> map) throws Exception {
        return unilateralMapper.findAllUnilateral(map);
    }

    @Override
    public void insertUnilateral(HashMap<Object, Object> map) throws Exception {
        unilateralMapper.insertUnilateral(map);
    }

    @Override
    public void updateUnilateral(HashMap<Object, Object> map) throws Exception {
        unilateralMapper.updateUnilateral(map);
    }

    @Override
    public List<HashMap<Object, Object>> findDBZNum(HashMap<Object, Object> map) throws Exception {
        return unilateralMapper.findDBZNum(map);
    }

    @Override
    public List<HashMap<Object, Object>> findDBZFLNumByTime(HashMap<Object, Object> map) throws Exception {
        return unilateralMapper.findDBZFLNumByTime(map);
    }

    @Override
    public void deleteUnilateral(HashMap<Object, Object> map) throws Exception {
        unilateralMapper.deleteUnilateral(map);
    }

    @Override
    public List<HashMap<Object, Object>> findUnilateralByParam(HashMap<Object, Object> map) throws Exception {
        return unilateralMapper.findUnilateralByParam(map);
    }

    @Override
    public void deleteUnilateralByNoManager(HashMap<Object, Object> map) throws Exception {
        unilateralMapper.deleteUnilateralByNoManager(map);
    }

    @Override
    public void updateUnilateralManagerStatus(HashMap<Object, Object> map) throws Exception {
        unilateralMapper.updateUnilateralManagerStatus(map);
    }

    @Override
    public void deleteUnilateralByJoinIdNotNull(HashMap<Object, Object> map) throws Exception {
        unilateralMapper.deleteUnilateralByJoinIdNotNull(map);
    }

    @Override
    public void deleteUnilateralByIdandStatus(HashMap<Object, Object> map) throws Exception {
        unilateralMapper.deleteUnilateralByIdandStatus(map);
    }
}
